4Suite™ API Documentation

# ► Module Ft.Server.Server.Controller

Controller of all repository servers/daemons
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Controller, ControllerBase, DBMaintenanceWorker, Listener, PosixController, Server, WindowsController, Worker |  |  |  | Fields: MAINTENANCE_INTERVAL, MAX_PYTHON_RECURSION_DEPTH, MAX_SPAWN_RATE

## Classes

class Controller(ControllerBase)

### Methods

setSignals(self)
waitOrTimeout(self, timeout)

### Methods inherited from class ControllerBase

__init__, addServer, getWorkers, idleMaintenance, makeSocket, reclaimChildren, removeServer, restart, run, shutdown

class ControllerBase

### Methods

__init__(self, config)
addServer(self, config)
getWorkers(self)
idleMaintenance(self)
makeSocket(self, host, port)
Creates the socket for this address.
reclaimChildren(self)
removeServer(self, server)
restart(self, *ignored)
run(self)
shutdown(self, *ignored)
waitOrTimeout(self, timeout)

class DBMaintenanceWorker(Worker)

### Methods

__init__(self, config, when)
run(self)
tick(self)

class Listener

### Methods

__init__(self, socket, serverConfig)

class PosixController(ControllerBase)

### Methods

setSignals(self)
waitOrTimeout(self, timeout)

### Methods inherited from class ControllerBase

__init__, addServer, getWorkers, idleMaintenance, makeSocket, reclaimChildren, removeServer, restart, run, shutdown

class Server

### Methods

__init__(self, path, lastModified, listeners)

class WindowsController(ControllerBase)

### Methods

setSignals(self)
waitOrTimeout(self, timeout)

### Methods inherited from class ControllerBase

__init__, addServer, getWorkers, idleMaintenance, makeSocket, reclaimChildren, removeServer, restart, run, shutdown

class Worker

### Methods

__init__(self, config, interval, function, name=None)
run(self)
tick(self)

## Fields

MAINTENANCE_INTERVAL = 1
MAX_PYTHON_RECURSION_DEPTH = 10000
MAX_SPAWN_RATE = 32